#ifndef ARTICLER_H
#define ARTICLER_H
#include <QString>
#include <QSqlQuery>
#include <QSqlQueryModel>

class articler
{public:
    articler();
    articler(int,QString,int);
    int get_codeAbarre();
    bool ajouter();
    bool modifier(QString,int);
    QSqlQueryModel * afficher();
    QSqlQueryModel * trier();
    bool supprimer(QString);
private:
    QString nom,fiche;
    int prix,codeAbarre;
};

#endif // ARTICLER_H
